[package]
name = "althea_rs"
version = "0.1.11"
authors = ["Stan Drozd <drozdziak1@gmail.com>"]
edition = "2018"

[features]
development = ["rita_bin/development"]
dash_debug = ["rita_bin/dash_debug"]
server = ["rita_bin/server"]
bundle_openssl = ["rita_bin/bundle_openssl"]
jemalloc = ["rita_bin/jemalloc"]

[dependencies]
rita_bin = { path = "./rita_bin" }

[workspace]
members = ["althea_kernel_interface", "settings", "clu", "exit_db", "antenna_forwarding_client", "antenna_forwarding_protocol", "auto_bridge", "babel_monitor_legacy","rita_common","rita_exit","rita_client"]

[profile.release]
opt-level = "z"
lto = true
codegen-units = 1
incremental = false


[patch.crates-io]
actix = {git = "https://github.com/althea-net/actix", branch = "0.7"}
